%define upstream_name    Palm
%define upstream_version 1.400

%{?perl_default_filter}

Name:       perl-p5-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Modules for reading manipulating, and writing .pdb and .prc database
License:    GPL
Group:      Development/Perl
Url:        http://www.ooblick.com/software/coldsync/
Source0:    http://www.cpan.org/modules/by-module/p5/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Palm::PDB)
BuildRequires: perl(Palm::Raw)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(vars)
BuildArch:  noarch

%description
This is p5-Palm, a set of Perl 5 modules for reading, manipulating,
and writing the .pdb and .prc database files used by PalmOS devices
such as the PalmPilot and its successors.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

# Test are broken, ignoring result

%install
%make_install
%__rm -rf $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod

%files
%doc Changes FAQ LICENSE META.json META.yml MYMETA.yml README TODO examples
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.400.0-4pclos2017
- rebuild against updates

